diff --git python-anykeystore/python-anykeystore.spec python-anykeystore/python-anykeystore.spec.tmp
index daf6ee2e38..24ef06bb32 100644
--- python-anykeystore/python-anykeystore.spec
+++ python-anykeystore/python-anykeystore.spec.tmp
@@ -12,7 +12,7 @@
 
 Name:           python-%{modname}
 Version:        0.2
-Release:        15%{?dist}
+Release:        16%{?dist}
 Summary:        A key-value store supporting multiple backends
 Group:          Development/Libraries
 License:        MIT
@@ -46,11 +46,19 @@ BuildRequires:  python3-redis
 #BuildRequires:  python3-memcached  # Not yet packaged..
 %endif
 
-%description
-A generic interface wrapping multiple different backends to provide a
-consistent key-value storage API. This library is intended to be used by
+%global _description\
+A generic interface wrapping multiple different backends to provide a\
+consistent key-value storage API. This library is intended to be used by\
 other libraries that require some form of generic storage.
 
+%description %_description
+
+%package -n python2-%{modname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{modname}}
+
+%description -n python2-%{modname} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{modname}
 Summary:        A key-value store supporting multiple backends
@@ -103,7 +111,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-%{modname}
 %doc README.rst LICENSE.txt
 %{python2_sitelib}/%{modname}
 %{python2_sitelib}/%{modname}-%{version}*
@@ -116,6 +124,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2-16
+- Python 2 subpackage renamed to python2-anykeystore
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-anymarkup-core/python-anymarkup-core.spec python-anymarkup-core/python-anymarkup-core.spec.tmp
index 44a224243b..3118d0264a 100644
--- python-anymarkup-core/python-anymarkup-core.spec
+++ python-anymarkup-core/python-anymarkup-core.spec.tmp
@@ -11,7 +11,7 @@
 
 Name:           python-%{srcname}
 Version:        0.5.0
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        Core library for anymarkup
 
 License:        BSD
@@ -30,13 +30,20 @@ BuildRequires: python3-setuptools
 BuildRequires: python3-pytest
 %endif
 
-Requires:      python-six
+%global _description\
+%{summary}\
+\
+This is the core library that implements functionality of\
+python-anymarkup.
 
-%description
-%{summary}
+%description %_description
 
-This is the core library that implements functionality of
-python-anymarkup.
+%package -n python2-%{srcname}
+Summary: %summary
+Requires:      python-six
+%{?python_provide:%python_provide python2-%{srcname}}
+
+%description -n python2-%{srcname} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{srcname}
@@ -106,7 +113,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-%{srcname}
 %if 0%{?fedora}
 %license LICENSE
 %else
@@ -129,6 +136,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.0-8
+- Python 2 subpackage renamed to python2-anymarkup-core
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-anyvc/python-anyvc.spec python-anyvc/python-anyvc.spec.tmp
index 3a25c4d94b..fe566e2dc5 100644
--- python-anyvc/python-anyvc.spec
+++ python-anyvc/python-anyvc.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-%{srcname}
 Version:        0.3.7.1
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        Python library to access different version control system
 
 Group:          Development/Languages
@@ -22,14 +22,21 @@ BuildRequires:  python-execnet
 #BuildRequires:  python-sphinx
 BuildRequires:  python-hgdistver
 
-Requires:       python-subvertpy
-Requires:       mercurial
+%global _description\
+Anyvc is an abstraction library for different kind of version control\
+systems. Although primarily a library, there is a command line tool (vc)\
+to use with it.
+
+%description %_description
+
+%package -n python2-%{srcname}
+Summary: %summary
 Requires:       python-dulwich
+Requires:       mercurial
+Requires:       python-subvertpy
+%{?python_provide:%python_provide python2-%{srcname}}
 
-%description
-Anyvc is an abstraction library for different kind of version control 
-systems. Although primarily a library, there is a command line tool (vc)
-to use with it.
+%description -n python2-%{srcname} %_description
 
 %prep
 %setup -q -n %{srcname}-%{version}
@@ -48,13 +55,17 @@ rm -rf %{srcname}.egg-info
 %check
 %{__python} setup.py test
 
-%files
+%files -n python2-%{srcname}
 #%doc html/
 %{_bindir}/vc
 %{python_sitelib}/%{srcname}/
 %{python_sitelib}/%{srcname}*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.7.1-11
+- Python 2 subpackage renamed to python2-anyvc
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7.1-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-arc/python-arc.spec python-arc/python-arc.spec.tmp
index 5003f72f11..386ba83958 100644
--- python-arc/python-arc.spec
+++ python-arc/python-arc.spec.tmp
@@ -5,20 +5,28 @@
 Summary: Autotest RPC Client
 Name: python-arc
 Version: 0.7.1
-Release: 7%{?dist}
+Release: 8%{?dist}
 License: GPLv2
 Group: Development/Libraries
 URL: http://github.com/autotest/arc
 BuildArch: noarch
 Source0: https://github.com/autotest/%{shortname}/archive/%{commit}/%{shortname}-%{version}-%{shortcommit}.tar.gz
 BuildRequires: python2-devel, python-docutils, python-sphinx
-Requires: python, python-pygments
 
-%description
-Arc is the Autotest RPC Client. It provides libraries and tools that interact
-with an Autotest RPC Server. It allows one to send test jobs, add test hosts,
+%global _description\
+Arc is the Autotest RPC Client. It provides libraries and tools that interact\
+with an Autotest RPC Server. It allows one to send test jobs, add test hosts,\
 query available tests, etc.
 
+%description %_description
+
+%package -n python2-arc
+Summary: %summary
+Requires: python, python-pygments
+%{?python_provide:%python_provide python2-arc}
+
+%description -n python2-arc %_description
+
 %prep
 %setup -q -n %{shortname}-%{commit}
 
@@ -33,7 +41,7 @@ query available tests, etc.
 %{__mkdir} -p %{buildroot}%{_mandir}/man1
 %{__install} -m 0644 man/build/arcli.1 %{buildroot}%{_mandir}/man1/arcli.1
 
-%files
+%files -n python2-arc
 %config(noreplace) %{_sysconfdir}/arc.conf
 %doc README.md LICENSE api
 %{python_sitelib}/arc
@@ -42,6 +50,10 @@ query available tests, etc.
 %{_bindir}/arcli
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.1-8
+- Python 2 subpackage renamed to python2-arc
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-asciitable/python-asciitable.spec python-asciitable/python-asciitable.spec.tmp
index 4c41d2431d..66f06b2107 100644
--- python-asciitable/python-asciitable.spec
+++ python-asciitable/python-asciitable.spec.tmp
@@ -8,7 +8,7 @@
 
 Name: python-%{upname}
 Version: 0.8.0
-Release: 16%{dist}
+Release: 17%{dist}
 Summary: Extensible ASCII table reader and writer
 License: BSD
 
@@ -18,22 +18,29 @@ Source0: http://pypi.python.org/packages/source/a/%{upname}/%{upname}-%{version}
 BuildRequires: python2-devel python-nose
 BuildArch: noarch
 
+%global _description\
+An extensible ASCII table reader.  Asciitable can read a wide range of ASCII\
+table formats via built-in Extension Reader Classes:\
+  * Basic: basic table with customizable delimiters and header configurations\
+  * Cds: CDS format table (also Vizier and ApJ machine readable tables)\
+  * CommentedHeader: column names given in a line that begins with\
+  the comment character\
+  * Daophot: table from the IRAF DAOphot package\
+  * Ipac: IPAC format table\
+  * Latex: LaTeX tables (plain and AASTex)\
+  * NoHeader: basic table with no header where columns are auto-named\
+  * Rdb: tab-separated values with an extra line after the column\
+  definition line\
+  * Tab: tab-separated values
+
+%description %_description
+
+%package -n python2-asciitable
+Summary: %summary
 Requires: numpy
+%{?python_provide:%python_provide python2-asciitable}
 
-%description
-An extensible ASCII table reader.  Asciitable can read a wide range of ASCII 
-table formats via built-in Extension Reader Classes:
-  * Basic: basic table with customizable delimiters and header configurations
-  * Cds: CDS format table (also Vizier and ApJ machine readable tables)
-  * CommentedHeader: column names given in a line that begins with 
-  the comment character
-  * Daophot: table from the IRAF DAOphot package
-  * Ipac: IPAC format table
-  * Latex: LaTeX tables (plain and AASTex)
-  * NoHeader: basic table with no header where columns are auto-named
-  * Rdb: tab-separated values with an extra line after the column 
-  definition line
-  * Tab: tab-separated values
+%description -n python2-asciitable %_description
 
 %if 0%{?with_python3}
 %package -n python3-asciitable
@@ -95,7 +102,7 @@ popd
 
 %{__python} setup.py install --skip-build --root  %{buildroot}
  
-%files
+%files -n python2-asciitable
 %doc CHANGES doc/index.rst
 %{python_sitelib}/*
 
@@ -107,6 +114,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.0-17
+- Python 2 subpackage renamed to python2-asciitable
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-16
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-ase/python-ase.spec python-ase/python-ase.spec.tmp
index 53cf3189ca..281beb0c1b 100644
--- python-ase/python-ase.spec
+++ python-ase/python-ase.spec.tmp
@@ -19,7 +19,7 @@
 
 Name:			python-ase
 Version:		3.13.0
-Release:		2%{?dist}
+Release:		3%{?dist}
 Summary:		Atomic Simulation Environment
 %{?el5:Group:		Applications/Scientific}
 
@@ -48,12 +48,19 @@ BuildRequires:		numpy
 BuildRequires:		python3-numpy
 %endif # if with_python3
 
+%global _description\
+The Atomic Simulation Environment (ASE) is the common part of the simulation\
+tools developed at CAMd. ASE provides Python modules for manipulating atoms,\
+analyzing simulations, visualization etc.
+
+%description %_description
+
+%package -n python2-ase
+Summary: %summary
 Requires:		python-matplotlib
+%{?python_provide:%python_provide python2-ase}
 
-%description
-The Atomic Simulation Environment (ASE) is the common part of the simulation
-tools developed at CAMd. ASE provides Python modules for manipulating atoms,
-analyzing simulations, visualization etc.
+%description -n python2-ase %_description
 
 %if 0%{?with_python3}
 %package -n python3-ase
@@ -183,7 +190,7 @@ cd -
 %{?el5:rm -rf $RPM_BUILD_ROOT}
 
 
-%files -f files2.list
+%files -n python2-ase -f files2.list
 %defattr(-,root,root,-)
 %doc COPYING* LICENSE README*
 %{_bindir}/ase-*
@@ -203,6 +210,10 @@ cd -
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.13.0-3
+- Python 2 subpackage renamed to python2-ase
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.13.0-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-assertEquals/python-assertEquals.spec python-assertEquals/python-assertEquals.spec.tmp
index b38bcf6502..9f55c9d696 100644
--- python-assertEquals/python-assertEquals.spec
+++ python-assertEquals/python-assertEquals.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.4.4
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        assertEquals is an epic testing interface for Python
 Group:          Development/Languages
 License:        BSD
@@ -20,17 +20,24 @@ BuildArch:      noarch
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 
+%global _description\
+assertEquals is an interface for running tests written with the Python\
+standard library's unittest module. It used to be named testosterone.\
+It delivers summary and detail reports on TestCases discovered in\
+module-space, via both a command-line and a curses(3) interface. The\
+interactive mode is the default, but it depends on the non-interactive mode.\
+For debugging, static tracebacks and interactive Python debugger (Pdb)\
+sessions are available in both scripted and interactive modes.
+
+%description %_description
+
+%package -n python2-assertequals
+Summary: %summary
+Provides:       python-testosterone = %{version}-%{release}
 Obsoletes:      python-testosterone < 0.4.1-8
-Provides:       python-testosterone = %{version}-%{release} 
+%{?python_provide:%python_provide python2-assertequals}
 
-%description
-assertEquals is an interface for running tests written with the Python
-standard library's unittest module. It used to be named testosterone.
-It delivers summary and detail reports on TestCases discovered in
-module-space, via both a command-line and a curses(3) interface. The
-interactive mode is the default, but it depends on the non-interactive mode.
-For debugging, static tracebacks and interactive Python debugger (Pdb) 
-sessions are available in both scripted and interactive modes. 
+%description -n python2-assertequals %_description
 
 %prep
 %setup -q -n %{pypi_name}-%{commit}
@@ -61,13 +68,17 @@ install -m 444 %{pypi_name}.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/%{pypi_name}.1.
 %{__python2} setup.py test
 
  
-%files
+%files -n python2-assertequals
 %doc README.rst LICENSE
 %{python2_sitelib}/*
 %{_bindir}/%{pypi_name}
 %{_mandir}/man1/%{pypi_name}.1.gz
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.4-11
+- Python 2 subpackage renamed to python2-assertequals
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-astroML-addons/python-astroML-addons.spec python-astroML-addons/python-astroML-addons.spec.tmp
index 3494a9c1e0..7e6257b69f 100644
--- python-astroML-addons/python-astroML-addons.spec
+++ python-astroML-addons/python-astroML-addons.spec.tmp
@@ -4,15 +4,13 @@
 
 Name:           python-astroML-addons
 Version:        0.2.2
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        Performance add-ons for the astroML package
 
 License:        BSD
 URL:            http://www.astroml.org/
 Source0:        https://pypi.python.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
 
-Requires:       python-astroML
-
 BuildRequires:  python-setuptools
 BuildRequires:  python2-devel
 BuildRequires:  python-astroML
@@ -22,17 +20,26 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-astroML
 %endif
 
-%description
-astroML is split into two components. The core astroML library is written
-in python only, and is designed to be very easy to install for any users,
-even those who don't have a working C or fortran compiler. A companion library,
-astroML_addons, can be optionally installed for increased performance on
-certain algorithms. Every algorithm in astroML_addons has a pure python
-counterpart in the core astroML implementation, but the astroML_addons library
-contains faster and more efficient implementations in compiled code.
-Furthermore, if astroML_addons is installed on your system, the core astroML
+%global _description\
+astroML is split into two components. The core astroML library is written\
+in python only, and is designed to be very easy to install for any users,\
+even those who don't have a working C or fortran compiler. A companion library,\
+astroML_addons, can be optionally installed for increased performance on\
+certain algorithms. Every algorithm in astroML_addons has a pure python\
+counterpart in the core astroML implementation, but the astroML_addons library\
+contains faster and more efficient implementations in compiled code.\
+Furthermore, if astroML_addons is installed on your system, the core astroML\
 library will import and use the faster routines by default.
 
+%description %_description
+
+%package -n python2-astroml-addons
+Summary: %summary
+Requires:       python-astroML
+%{?python_provide:%python_provide python2-astroml-addons}
+
+%description -n python2-astroml-addons %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{upname}
 Summary:        Performance add-ons for the astroML package
@@ -83,7 +90,7 @@ popd
 find %{buildroot} -name 'setup.py*' -print0 | xargs -0 rm -rf
 %{_fixperms} %{buildroot}/*
 
-%files
+%files -n python2-astroml-addons
 %doc README.rst
 %{python2_sitearch}/astroML_addons
 %{python2_sitearch}/astroML_addons-%{version}-py%{python2_version}.egg-info
@@ -94,6 +101,10 @@ find %{buildroot} -name 'setup.py*' -print0 | xargs -0 rm -rf
 %{python3_sitearch}/astroML_addons-%{version}-py%{python3_version}.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.2-10
+- Python 2 subpackage renamed to python2-astroml-addons
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-astroML/python-astroML.spec python-astroML/python-astroML.spec.tmp
index 29db99e352..955fc201fe 100644
--- python-astroML/python-astroML.spec
+++ python-astroML/python-astroML.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-%{upname}
 Version:        0.3
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        Python tools for machine learning and data mining in Astronomy
 
 License:        BSD
@@ -31,20 +31,27 @@ BuildRequires:  python3-setuptools
 BuildRequires:  python3-scipy
 %endif
 
-Requires:       numpy
-Requires:       python-astropy
-Requires:       python-matplotlib
-Requires:       python2-scikit-learn
-Requires:       scipy
+%global _description\
+AstroML is a Python module for machine learning and data mining built on\
+numpy, scipy, scikit-learn, and matplotlib, and distributed under the\
+3-clause BSD license. It contains a growing library of statistical and\
+machine learning routines for analyzing astronomical data in python,\
+loaders for several open astronomical datasets, and a large suite of\
+examples of analyzing and visualizing astronomical datasets.\
 
-%description
-AstroML is a Python module for machine learning and data mining built on
-numpy, scipy, scikit-learn, and matplotlib, and distributed under the
-3-clause BSD license. It contains a growing library of statistical and
-machine learning routines for analyzing astronomical data in python,
-loaders for several open astronomical datasets, and a large suite of
-examples of analyzing and visualizing astronomical datasets.
 
+%description %_description
+
+%package -n python2-astroml
+Summary: %summary
+Requires:       scipy
+Requires:       python2-scikit-learn
+Requires:       python-matplotlib
+Requires:       python-astropy
+Requires:       numpy
+%{?python_provide:%python_provide python2-astroml}
+
+%description -n python2-astroml %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{upname}
@@ -112,7 +119,7 @@ popd
 #xvfb-run -a nosetests-%{python2_version}
 
 
-%files
+%files -n python2-astroml
 %license LICENSE.rst
 %doc CHANGES.rst CITATION README.rst
 %{python2_sitelib}/%{upname}
@@ -132,6 +139,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3-14
+- Python 2 subpackage renamed to python2-astroml
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-atfork/python-atfork.spec python-atfork/python-atfork.spec.tmp
index dd958507bd..ae6c643caa 100644
--- python-atfork/python-atfork.spec
+++ python-atfork/python-atfork.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-atfork
 Version:        0.1.2
-Release:        12%{?dist}
+Release:        13%{?dist}
 Summary:        Provides an API to register callbacks when forking
 Group:          Development/Languages
 License:        ASL 2.0
@@ -14,19 +14,27 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  python-setuptools
 
-%description
-Atfork provides a pthread_atfork() work-a-like API for Python 2.4, 2.5 and 2.6
-along with fixers to monkey patch standard library modules at run time to be
-safe in programs using both threading and forking.
+%global _description\
+Atfork provides a pthread_atfork() work-a-like API for Python 2.4, 2.5 and 2.6\
+along with fixers to monkey patch standard library modules at run time to be\
+safe in programs using both threading and forking.\
+\
+While mixing threads and forking in a program is generally considered to be a\
+bad idea it need not be so painful.\
+\
+A missing API in the Python is an atfork mechanism so that locks can be\
+acquired and released properly around fork calls.  This module adds that.  It\
+also provides monkey patchers that fix the standard library to properly\
+register callbacks for locks they create.\
 
-While mixing threads and forking in a program is generally considered to be a
-bad idea it need not be so painful.
 
-A missing API in the Python is an atfork mechanism so that locks can be
-acquired and released properly around fork calls.  This module adds that.  It
-also provides monkey patchers that fix the standard library to properly
-register callbacks for locks they create.
+%description %_description
 
+%package -n python2-atfork
+Summary: %summary
+%{?python_provide:%python_provide python2-atfork}
+
+%description -n python2-atfork %_description
 
 %prep
 %setup -q -n atfork-%{version}
@@ -54,13 +62,17 @@ rm -rf $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-atfork
 %defattr(-,root,root,-)
 %{python_sitelib}/atfork
 %{python_sitelib}/*egg-info
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.2-13
+- Python 2 subpackage renamed to python2-atfork
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-atomicwrites/python-atomicwrites.spec python-atomicwrites/python-atomicwrites.spec.tmp
index c5baa812f9..aaa183bf5a 100644
--- python-atomicwrites/python-atomicwrites.spec
+++ python-atomicwrites/python-atomicwrites.spec.tmp
@@ -11,7 +11,7 @@
 
 Name:       python-atomicwrites
 Version:    1.1.5
-Release:    4%{?git_tag}%{?dist}
+Release:    5%{?git_tag}%{?dist}
 Summary:    Python Atomic file writes on POSIX 
 
 License:    MIT
@@ -34,13 +34,21 @@ BuildRequires:  python3-sphinx
 %endif
 
 
-%description
-This Python module provides atomic file writes on POSIX operating systems.
-It sports:
-* Race-free assertion that the target file doesn't yet exist
-* Windows support
+%global _description\
+This Python module provides atomic file writes on POSIX operating systems.\
+It sports:\
+* Race-free assertion that the target file doesn't yet exist\
+* Windows support\
 * Simple high-level API that wraps a very flexible class-based API
 
+%description %_description
+
+%package -n python2-%{short_name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{short_name}}
+
+%description -n python2-%{short_name} %_description
+
 %if %{with python3}
 %package -n python3-%{short_name}
 Summary:    Python Atomic file writes on POSIX 
@@ -102,7 +110,7 @@ popd
 #{__python3} run-tests.py
 #endif
 
-%files
+%files -n python2-%{short_name}
 %doc LICENSE README.rst
 %{python_sitelib}/*
 %{_mandir}/man1/atomicwrites.1.*
@@ -114,6 +122,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1.5-5
+- Python 2 subpackage renamed to python2-atomicwrites
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.5-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-auth-credential/python-auth-credential.spec python-auth-credential/python-auth-credential.spec.tmp
index a9ccfc6f64..3aadc7f49e 100644
--- python-auth-credential/python-auth-credential.spec
+++ python-auth-credential/python-auth-credential.spec.tmp
@@ -9,7 +9,7 @@
 
 Name:		python-auth-credential
 Version:	1.0
-Release:	12%{?dist}
+Release:	13%{?dist}
 Summary:	Python abstraction of a credential
 Group:		Development/Libraries
 License:	ASL 2.0
@@ -21,21 +21,29 @@ BuildRequires:	python2-devel
 %if 0%{?with_python3}
 BuildRequires:	python3-devel
 %endif # if with_python3
-Provides:	python2-auth-credential
-
-%description
-This module offers an abstraction of a credential, i.e. something that
-can be used to authenticate. It allows the creation and manipulation of
-credentials. In particular, it defines a standard string representation
-(so that credentials can be given to external programs as command line
-options), a standard structured representation (so that credentials can
-be stored in structured configuration files or using JSON) and
-"preparators" that can transform credentials into ready-to-use data for
-well known targets.
 
-The python module auth.credential is compatible with the Perl
+%global _description\
+This module offers an abstraction of a credential, i.e. something that\
+can be used to authenticate. It allows the creation and manipulation of\
+credentials. In particular, it defines a standard string representation\
+(so that credentials can be given to external programs as command line\
+options), a standard structured representation (so that credentials can\
+be stored in structured configuration files or using JSON) and\
+"preparators" that can transform credentials into ready-to-use data for\
+well known targets.\
+\
+The python module auth.credential is compatible with the Perl\
 module Authen::Credential.
 
+%description %_description
+
+%package -n python2-auth-credential
+Summary: %summary
+Provides:	python2-auth-credential
+%{?python_provide:%python_provide python2-auth-credential}
+
+%description -n python2-auth-credential %_description
+
 %if 0%{?with_python3}
 %package -n python3-auth-credential
 Summary:	Python abstraction of a credential
@@ -91,7 +99,7 @@ popd
 %clean
 rm -fr $RPM_BUILD_ROOT
 
-%files
+%files -n python2-auth-credential
 %defattr(-,root,root)
 %doc LICENSE README.rst CHANGES
 %{python_sitelib}/auth/
@@ -107,6 +115,10 @@ rm -fr $RPM_BUILD_ROOT
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-13
+- Python 2 subpackage renamed to python2-auth-credential
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-babel-BabelGladeExtractor/python-babel-BabelGladeExtractor.spec python-babel-BabelGladeExtractor/python-babel-BabelGladeExtractor.spec.tmp
index c182cc16a0..c252ad5d51 100644
--- python-babel-BabelGladeExtractor/python-babel-BabelGladeExtractor.spec
+++ python-babel-BabelGladeExtractor/python-babel-BabelGladeExtractor.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-babel-BabelGladeExtractor
 Version:        0.2
-Release:        0.13.%{revision}%{?dist}
+Release:        0.14.%{revision}%{?dist}
 Summary:        Babel Glade XML files translatable strings extractor
 
 Group:          Development/Languages
@@ -16,11 +16,19 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildArch:      noarch
 BuildRequires:  python-devel, python-setuptools
-Requires:       python-babel
 
-%description
-This is a Babel extractor plug-in which extracts translatable messages.
+%global _description\
+This is a Babel extractor plug-in which extracts translatable messages.\
+
+
+%description %_description
 
+%package -n python2-babel-babelgladeextractor
+Summary: %summary
+Requires:       python-babel
+%{?python_provide:%python_provide python2-babel-babelgladeextractor}
+
+%description -n python2-babel-babelgladeextractor %_description
 
 %prep
 %setup -q -n %{pypiname}-%{pypiver}
@@ -40,13 +48,17 @@ touch $RPM_BUILD_ROOT%{python_sitelib}/babelglade/__init__.py
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-babel-babelgladeextractor
 %defattr(-,root,root,-)
 %doc LICENSE
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2-0.14.r288
+- Python 2 subpackage renamed to python2-babel-babelgladeextractor
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-0.13.r288
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-backlash/python-backlash.spec python-backlash/python-backlash.spec.tmp
index 8ac4c9cf0c..f7c815b5c8 100644
--- python-backlash/python-backlash.spec
+++ python-backlash/python-backlash.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:               python-backlash
 Version:            0.1.2
-Release:            2%{?dist}
+Release:            3%{?dist}
 Summary:            Standalone WebOb port of the Werkzeug Debugger
 
 Group:              Development/Libraries
@@ -18,7 +18,6 @@ BuildArch:          noarch
 
 BuildRequires:      python2-devel
 BuildRequires:      python-setuptools
-Requires:           python-webob
 
 %if 0%{?with_python3}
 BuildRequires:      python3-devel
@@ -26,13 +25,22 @@ BuildRequires:      python3-setuptools
 %endif
 
 
-%description
-backlash is a standalone version of the Werkzeug Debugger based on WebOb
-adapted to support for Python3.
+%global _description\
+backlash is a standalone version of the Werkzeug Debugger based on WebOb\
+adapted to support for Python3.\
+\
+backlash has born as a future replacement for WebError in upcoming TurboGears2\
+versions.\
 
-backlash has born as a future replacement for WebError in upcoming TurboGears2
-versions.
 
+%description %_description
+
+%package -n python2-backlash
+Summary: %summary
+Requires:           python-webob
+%{?python_provide:%python_provide python2-backlash}
+
+%description -n python2-backlash %_description
 
 %if 0%{?with_python3}
 %package -n python3-backlash
@@ -81,7 +89,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-backlash
 %doc README.rst
 %{python_sitelib}/%{modname}/
 %{python_sitelib}/%{modname}-%{version}*
@@ -95,6 +103,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.2-3
+- Python 2 subpackage renamed to python2-backlash
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
